## smokekde 4.7.4

=== nepomukquery/CMakeLists.txt ===
find_package(Soprano REQUIRED)
find_package(Nepomuk REQUIRED)

if(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    add_definitions(-DGCC_VISIBILITY)
endif(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${CMAKE_SOURCE_DIR}/smoke ${SOPRANO_INCLUDE_DIR}  ${NEPOMUK_QUERY_INCLUDE_DIR} )

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../nepomuk/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/nepomukquery_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokenepomukquery_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

kde4_add_library(smokenepomukquery SHARED ${smokenepomukquery_LIB_SRCS})

target_link_libraries(smokenepomukquery 
    ${NEPOMUK_LIBRARIES}
    ${NEPOMUK_QUERY_LIBRARIES}
    ${SOPRANO_LIBRARIES}
    nepomukquery
    ${KDE4_KDECORE_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokenepomukquery PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokenepomukquery DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../nepomukquery_smoke.h DESTINATION include/smoke )

########### install files ###############

## smokekde 4.7.1

=== debian/changelog ===
smokekde (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * Fix upload that was inadvertently based of obsolete packaging and base off
    most recent Debian package
    - No patches remaining

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Sep 2011 23:31:43 -0400

smokekde (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * Drop fix_smoke_config_install_path (now included in sources)

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 04 Sep 2011 11:01:23 +0200

smokekde (4:4.7.0-1) unstable; urgency=low

  * Initial release, split from the kdebindings source.

  [ David Palacio ]
  * Update control:
    - add libsmokekde4-dbg
    - update Uploaders
  * Switch to dh7:
    - clean rules
    - pass --list-missing to dh_install
  * Adapt watch file to the new source name.
  * Adapt Vcs fields.
  * Switch copyright to the DEP5 format, revision 174.
  * Add patch fix_smoke_config_install_path.diff to fix installation of the
    kde-config.xml configuration.

  [ Pino Toscano ]
  * Update control:
    - libsmokekde4-dbg: make it break/replace kdebindings-dbg, fix Section
      and Priority
    - improve descriptions
    - require smoke-dev-tools and libsmokeqt4-dev >= 4.7.0, and make
      libsmokekde-dev depend on them
  * Update rules:
    - pass sodeps as dh addon
  * Update copyright.
  * Update lintian overrides.
  * Backport upstream patches:
    - fix-kutils-linking.patch: fix the link of smokekutils
    - fix-knewstuff2-binding.patch: fix the generation of smokeknewstuff2
  * Link in --as-needed mode.

  [ Modestas Vainius ]
  * Remove myself from Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Aug 2011 13:19:55 +0200

=== debian/control ===
Source: smokekde
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
 smoke-dev-tools (>= 4:4.7.0), libsmokeqt4-dev (>= 4:4.7.0),
 kdelibs5-dev, kdepimlibs5-dev,
 libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
 libx11-dev, shared-desktop-ontologies
Standards-Version: 3.9.2
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokekde.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokekde.git;a=summary

Package: libsmokekdecore4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KDE Core SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE Core parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekdeui4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KDE Ui SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE User Interface parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekfile3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KFile SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KFile parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekparts3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KParts SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KParts parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokektexteditor3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KTextEditor SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE KTextEditor parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekutils3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KUtils SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KUtils parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesolid3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Solid SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Solid parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeattica3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Attica SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Attica parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekhtml3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KHTML SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KHTML parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekio3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KIO SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KIO parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeknewstuff2-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KNewStuff2 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KNewStuff v2 parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeknewstuff3-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KNewStuff3 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KNewStuff v3 parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeokular3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Okular SMOKE bindings
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Okular parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeplasma3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Plasma SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Plasma parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeakonadi3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Akonadi SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Akonadi parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokenepomuk3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Nepomuk SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Nepomuk parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokenepomukquery3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Nepomuk Query SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Nepomuk Query parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesoprano3
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesopranoclient3
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano Client SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano client parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesopranoserver3
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano Server SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano server parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekde4-dbg
Section: debug
Depends: libsmokekdecore4-3 (= ${binary:Version}), ${misc:Depends}
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: KDE SMOKE libraries -- debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for the KDE SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekde-dev
Section: libdevel
Depends: libsmokeqt4-dev (>= 4:4.7.0), smoke-dev-tools (>= 4:4.7.0),
 ${so:Depends}, ${misc:Depends}
Architecture: any
Description: KDE SMOKE libraries -- development files
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE SMOKE development files.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
	  -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed" \
	  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=libsmokekde4-dbg

#Build-Depend on debhelper (>= 7.4.10) for --parallel
#Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
%:
	dh $@ --parallel --with sodeps

## smokekde 4.7.3

=== debian/changelog ===
smokekde (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian Git

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 00:09:45 +0000

smokekde (4:4.7.1-1) unstable; urgency=low

  * New upstream release.

  [ David Palacio ]
  * Remove patches applied upstream:
    - fix_smoke_config_install_path.diff
    - fix-knewstuff2-binding.patch
    - fix-kutils-linking.patch

  [ Pino Toscano ]
  * Generate libraries shlibs based on the current version.
  * Tighten the various libraries dependencies to the current version.
  * Drop version for the smoke-dev-tools and libsmokeqt4-dev dependencies
    of libsmokekde4-dev; the right versions will be picked because of the
    stricter libsmokebase and libsmokeq* (indirect) dependencies.
  * Bump the smoke-dev-tools and libsmokeqt4-dev build-dependencies to 4.7.1.
  * Manually export CXXFLAGS and LDFLAGS from dpkg-buildflags now,
    as dpkg-buildpackage does not do that anymore.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 24 Sep 2011 17:24:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.0), libsmokeqt4-dev (>= 4:4.7.0),
+ smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.7.1),
  kdelibs5-dev, kdepimlibs5-dev,
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies
@@ -278,7 +278,7 @@
 
 Package: libsmokekde-dev
 Section: libdevel
-Depends: libsmokeqt4-dev (>= 4:4.7.0), smoke-dev-tools (>= 4:4.7.0),
+Depends: libsmokeqt4-dev, smoke-dev-tools,
  ${so:Depends}, ${misc:Depends}
 Architecture: any
 Description: KDE SMOKE libraries -- development files

## smokekde 4.7.4

=== debian/changelog ===
smokekde (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 12:02:50 -0500

## smokekde 4.7.90

=== kdecore/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)
configure_file(kde-config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/kde-config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/kdecore_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokekdecore_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR} )

kde4_add_library(smokekdecore SHARED ${smokekdecore_LIB_SRCS})

target_link_libraries(smokekdecore
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_QTNETWORK_LIBRARY}
    ${SMOKE_QTDBUS_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokekdecore PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokekdecore DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../kdecore_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kde-config.xml DESTINATION share/smokegen)

=== debian/changelog ===
smokekde (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:56:00 +0000

## smokekde 4.7.95

=== debian/changelog ===
smokekde (4:4.7.95-0ubuntu2) precise; urgency=low

  * Rebuild against new libokularcore

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 31 Dec 2011 13:34:39 +0100

smokekde (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 15:17:12 +0100

## smokekde 4.7.97

=== debian/changelog ===
smokekde (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:58 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,10 @@
 #!/usr/bin/make -f
+
+pkgs_lib := $(filter-out %-dev %-dbg,$(filter lib%,$(shell dh_listpackages)))
+current_version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
+
+export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -12,6 +18,19 @@
 override_dh_strip:
 	dh_strip --dbg-package=libsmokekde4-dbg
 
+override_dh_makeshlibs:
+	dh_makeshlibs -V
+# Generate shlibs local files
+	for pkg in $(pkgs_lib); do \
+		if test -e debian/$${pkg}/DEBIAN/shlibs ; then \
+			sed 's/>=[^)]*/= $(current_version)/' debian/$${pkg}/DEBIAN/shlibs >> debian/shlibs.local ;\
+		fi \
+	done
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f debian/shlibs.local
+
 #Build-Depend on debhelper (>= 7.4.10) for --parallel
 #Build-Depend on pkg-kde-tools (>= 0.6.8) for the sodeps addon
 %:

## smokekde 4.8.0

=== debian/changelog ===
smokekde (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.1), libsmokeqt4-dev (>= 4:4.7.1),
- kdelibs5-dev, kdepimlibs5-dev,
+ smoke-dev-tools (>= 4:4.7.90), libsmokeqt4-dev (>= 4:4.7.90),
+ kdelibs5-dev (>= 4:4.7.90), kdepimlibs5-dev (>= 4:4.7.90),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies
 Standards-Version: 3.9.2

## smokekde 4.8.1

=== debian/changelog ===
smokekde (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 13:02:47 +0100

## smokekde 4.8.2

=== debian/changelog ===
smokekde (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 00:24:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.7.90), libsmokeqt4-dev (>= 4:4.7.90),
- kdelibs5-dev (>= 4:4.7.90), kdepimlibs5-dev (>= 4:4.7.90),
+ smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies
 Standards-Version: 3.9.2

## smokekde 4.8.4

=== khtml/CMakeLists.txt ===

include_directories( ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/khtml_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokekhtml_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR} )

kde4_add_library(smokekhtml SHARED ${smokekhtml_LIB_SRCS})

add_dependencies(smokekhtml ${SMOKE_QTCORE_LIBRARY} smokekdecore)

target_link_libraries(smokekhtml 
    ${QT_QTCORE_LIBRARY} 
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDECORE_LIBS} 
    ${KDE4_KHTML_LIBS} 
    ${SMOKE_QTGUI_LIBRARY}
    smokekparts
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokekhtml PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokekhtml DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../khtml_smoke.h DESTINATION include/smoke)

=== debian/changelog ===
smokekde (4:4.8.4-1) unstable; urgency=low

  * New upstream release

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 17:55:53 +0200

smokekde (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency to >= 9, and compat to 9.
  * Do not manually export CXXFLAGS and LDFLAGS now, since compat v9 does
    that already.
  * Use DEB_LDFLAGS_MAINT_APPEND to append out custom LDFLAGS, instead of
    passing them directly to cmake.
  * Update copyright:
    - switch to copyright-format v1.0
    - add entry for myself, for last year and the current one
  * Bump the smoke-dev-tools and libsmokeqt4-dev build dependencies
    to >= 4:4.7.4.

 -- Pino Toscano <pino@debian.org>  Wed, 04 Apr 2012 09:46:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: smokekde
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
+Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.8.4), libsmokeqt4-dev (>= 4:4.8.4),
+ kdelibs5-dev, kdepimlibs5-dev,
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokekde.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokekde.git;a=summary

## smokekde 4.8.90

=== CMakeLists.txt ===
project(SmokeKDE)

find_package(KDE4 REQUIRED)
if(KDE_VERSION VERSION_LESS "4.2.0")
    find_package(Plasma)
endif(KDE_VERSION VERSION_LESS "4.2.0")
include(KDE4Defaults)
find_package(Smoke COMPONENTS QtCore QtGui QtXml QtOpenGl QtSql QtNetwork QtDbus QtSvg)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${SMOKE_CMAKE_MODULE_DIR})
include(MacroLibrary)
include(MacroOptionalAddBindings)

set(QTDEFINES_FILE ${SMOKE_GEN_SHARED}/qtdefines CACHE FILEPATH "Path to the qtdefines file")
if(NOT EXISTS ${QTDEFINES_FILE})
    message(FATAL_ERROR "${QTDEFINES_FILE} doesn't exist. Please adjust the path manually")
endif(NOT EXISTS ${QTDEFINES_FILE})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${SMOKE_INCLUDE_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT3_SUPPORT)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )

macro_optional_find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "LibAttica" "http://www.kde.org" FALSE "" "Needed to compile libattica bindings")

macro_optional_find_package(Soprano)
macro_log_feature(SOPRANO_FOUND "Soprano" "Soprano libraries" "http://soprano.sourceforge.net" FALSE "" "Needed to compile Soprano bindings")

macro_optional_find_package(Nepomuk)
macro_log_feature(NEPOMUK_FOUND "Nepomuk" "Nepomuk libraries" "http://www.kde.org" FALSE "" "Needed to compile Nepomuk bindings")

macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "KDE PIM libraries" "http://www.kde.org" FALSE "" "Needed to compile Akonadi bindings")

macro_optional_find_package(Akonadi)
macro_log_feature(AKONADI_FOUND "Akonadi" "Akonadi libraries" "http://www.kde.org" FALSE "" "Needed to compile Akonadi bindings")

macro_optional_find_package(Okular)
macro_log_feature(OKULAR_FOUND "Okular" "Okular libraries" "http://www.kde.org" FALSE "" "Needed to compile Okular bindings")

macro_optional_add_bindings(KDE4_FOUND "KDECore" kdecore)
macro_optional_add_bindings(KDE4_FOUND "KDEUi" kdeui)
macro_optional_add_bindings(KDE4_FOUND "KIO" kio)
macro_optional_add_bindings(KDE4_FOUND "KParts" kparts)
macro_optional_add_bindings(KDE4_FOUND "KFile" kfile)
macro_optional_add_bindings(KDE4_FOUND "KNewStuff2" knewstuff2)
macro_optional_add_bindings(KDE4_FOUND "KNewStuff3" knewstuff3)
macro_optional_add_bindings(KDE4_FOUND "KUtils" kutils)
macro_optional_add_bindings(KDE4_FOUND "KHTML" khtml)
macro_optional_add_bindings(KDE4_FOUND "KTextEditor" ktexteditor)
macro_optional_add_bindings(KDE4_FOUND "Solid" solid)
macro_optional_add_bindings(KDE4_FOUND "Plasma" plasma)

macro_optional_add_bindings(Soprano_FOUND "Soprano" soprano sopranoclient sopranoserver)

if(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
    set(BUILD_Akonadi TRUE)
else(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
    set(BUILD_Akonadi FALSE)
endif(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
macro_optional_add_bindings(BUILD_Akonadi "Akonadi" akonadi)

macro_optional_add_bindings(LIBATTICA_FOUND "Attica" attica)

macro_optional_add_bindings(Nepomuk_FOUND "Nepomuk" nepomuk nepomukquery)

macro_optional_add_bindings(OKULAR_FOUND "Okular" okular)

find_library(KATEINTERFACES_LIBRARY kateinterfaces HINTS ${KDE4_LIB_DIR})
find_path(KATE_INCLUDE_DIR kate/plugin.h HINTS ${KDE4_INCLUDE_DIR})

macro_optional_add_bindings(KATE_INCLUDE_DIR "Kate" kate)

macro_display_bindings_log()
macro_display_feature_log()

=== attica/CMakeLists.txt ===
find_package(LibAttica REQUIRED)

if(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    add_definitions(-DGCC_VISIBILITY)
endif(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${CMAKE_SOURCE_DIR}/smoke ${LIBATTICA_INCLUDE_DIR} )

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../kdecore/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/attica_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokeattica_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

kde4_add_library(smokeattica SHARED ${smokeattica_LIB_SRCS})

target_link_libraries(smokeattica 
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${LIBATTICA_LIBRARIES}
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokeattica PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokeattica DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../attica_smoke.h DESTINATION include/smoke )

########### install files ###############

=== debian/changelog ===
smokekde (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:25:29 +0200

smokekde (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Add libssl-dev to build-dep
    - Bump Standard-Version to 3.9.3 (no changes needed)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 14:07:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: smokekde
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.4), libsmokeqt4-dev (>= 4:4.8.4),
- kdelibs5-dev, kdepimlibs5-dev,
+Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
+ smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
- libx11-dev, shared-desktop-ontologies
+ libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokekde.git

## smokekde 4.9.0

=== debian/changelog ===
smokekde (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:51:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.8.1), libsmokeqt4-dev (>= 4:4.8.1),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
+ smoke-dev-tools (>= 4:4.9.0), libsmokeqt4-dev (>= 4:4.9.0),
+ kdelibs5-dev (>= 4:4.9.0), kdepimlibs5-dev (>= 4:4.9.0),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3

## smokekde 4.9.1

=== debian/changelog ===
smokekde (4:4.9.1-0ubuntu2) quantal; urgency=low

  * Rebuild against libattica0.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 12:57:53 +0100

smokekde (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 04 Sep 2012 15:34:57 +0530

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.0), libsmokeqt4-dev (>= 4:4.9.0),
- kdelibs5-dev (>= 4:4.9.0), kdepimlibs5-dev (>= 4:4.9.0),
- libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.9.1), kdepimlibs5-dev (>= 4:4.9.1),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde

## smokekde 4.9.2

=== debian/changelog ===
smokekde (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 07:43:43 -0400

smokekde (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:48:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
- smoke-dev-tools (>= 4:4.9.0), libsmokeqt4-dev (>= 4:4.9.0),
- kdelibs5-dev (>= 4:4.9.1), kdepimlibs5-dev (>= 4:4.9.1),
+ smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3

## smokekde 4.9.3

=== debian/changelog ===
smokekde (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:53:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.9.3), kdepimlibs5-dev (>= 4:4.9.3),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3

## smokekde 4.9.90

=== debian/changelog ===
smokekde (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:21:33 +0000

smokekde (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Add kubuntu_01_find_akonadi.diff to fix akonadi detection

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:28:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.3), kdepimlibs5-dev (>= 4:4.9.3),
+ kdelibs5-dev (>= 4:4.9.90), kdepimlibs5-dev (>= 4:4.9.90),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev
 Standards-Version: 3.9.3

## smokekde 4.9.95

=== debian/changelog ===
smokekde (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release
  * Add build-dep on nepomuk-core-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:51:56 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.90), kdepimlibs5-dev (>= 4:4.9.90),
+ kdelibs5-dev (>= 4:4.9.95), kdepimlibs5-dev (>= 4:4.9.95),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
- libx11-dev, shared-desktop-ontologies, libssl-dev
+ libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3
 Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokekde.git

## smokekde 4.9.97

=== debian/changelog ===
smokekde (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:51:27 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.95), kdepimlibs5-dev (>= 4:4.9.95),
+ kdelibs5-dev (>= 4:4.9.97), kdepimlibs5-dev (>= 4:4.9.97),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3

## smokekde 4.9.98

=== debian/changelog ===
smokekde (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:36:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.97), kdepimlibs5-dev (>= 4:4.9.97),
+ kdelibs5-dev (>= 4:4.9.98), kdepimlibs5-dev (>= 4:4.9.98),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3

## smokekde 4.10.0

=== debian/changelog ===
smokekde (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:25:35 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.9.98), kdepimlibs5-dev (>= 4:4.9.98),
+ kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3

## smokekde 4.10.1

=== debian/changelog ===
smokekde (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 17:02:48 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.1), kdepimlibs5-dev (>= 4:4.10.1),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3

## smokekde 4.10.2

=== debian/changelog ===
smokekde (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:06:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 7.4.10), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.9.2), libsmokeqt4-dev (>= 4:4.9.2),
- kdelibs5-dev (>= 4:4.10.1), kdepimlibs5-dev (>= 4:4.10.1),
+ kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2),
  libqt4-opengl-dev, libsoprano-dev, okular-dev, libakonadi-dev, libattica-dev (>= 0.4.1),
  libx11-dev, shared-desktop-ontologies, libssl-dev, libnepomukwidgets-dev, nepomuk-core-dev
 Standards-Version: 3.9.3
